<?php

/** @var \Lovata\OrdersShopaholic\Models\Order $formModel */
/** @var \Lovata\OrdersShopaholic\Models\Order $obOrder */
if(!isset($obOrder) && isset($formModel)) {
    $obOrder = $formModel;
}
?>

<?php if(isset($obOrder) && !empty($obOrder)) {?>
    <?php $obPositionPriceData = $obOrder->position_total_price_data; ?>
    <?php $obShippingPriceData = $obOrder->shipping_price_data; ?>
    <?php $obTotalPriceData = $obOrder->total_price_data; ?>
<div class="scoreboard bg-danger">
    <div class="scoreboard-item title-value">
        <h4><strong><?= e(trans('lovata.ordersshopaholic::lang.field.shipping_price')) ?></strong></h4>
        <p><span class="order-shopaholic-delivery-price"><?= $obShippingPriceData->price_with_tax ?></span> <?= $obOrder->currency_symbol; ?></p>
        <?php if ($obShippingPriceData->price_without_tax_value != $obShippingPriceData->price_with_tax_value) {?>
            <p class="description">
                <?= trans('lovata.shopaholic::lang.field.tax'); ?>: <?= $obShippingPriceData->tax_price ?> <?= $obOrder->currency_symbol; ?>
            </p>
            <p class="description">
                <?= trans('lovata.shopaholic::lang.field.without_tax'); ?>: <?= $obShippingPriceData->price_without_tax ?> <?= $obOrder->currency_symbol; ?>
            </p>
        <?php } ?>
    </div>
    <div class="scoreboard-item title-value">
        <h4><strong><?= e(trans('lovata.ordersshopaholic::lang.field.position_total_price')) ?></strong></h4>
        <p><span class="order-shopaholic-offers-total-price"><?= $obPositionPriceData->price_with_tax ?></span> <?= $obOrder->currency_symbol ;?></p>
        <?php if ($obPositionPriceData->price_without_tax_value != $obPositionPriceData->price_with_tax_value) {?>
            <p class="description">
                <?= trans('lovata.shopaholic::lang.field.tax'); ?>: <?= $obPositionPriceData->tax_price ?> <?= $obOrder->currency_symbol; ?>
            </p>
            <p class="description">
                <?= trans('lovata.shopaholic::lang.field.without_tax'); ?>: <?= $obPositionPriceData->price_without_tax ?> <?= $obOrder->currency_symbol; ?>
            </p>
        <?php } ?>
    </div>
    <div class="scoreboard-item title-value">
        <h4><strong><?= e(trans('lovata.ordersshopaholic::lang.field.total_price')) ?></strong></h4>
        <p><strong><span class="order-shopaholic-total-price"><?= $obTotalPriceData->price_with_tax ?></span> <?= $obOrder->currency_symbol ;?></strong></p>
        <?php if ($obTotalPriceData->price_without_tax_value != $obTotalPriceData->price_with_tax_value) {?>
            <p class="description">
                <?= trans('lovata.shopaholic::lang.field.tax'); ?>: <?= $obTotalPriceData->tax_price ?> <?= $obOrder->currency_symbol; ?>
            </p>
            <p class="description">
                <?= trans('lovata.shopaholic::lang.field.without_tax'); ?>: <?= $obTotalPriceData->price_without_tax ?> <?= $obOrder->currency_symbol; ?>
            </p>
        <?php } ?>
    </div>
    <?php $fWeight = $obOrder->weight; ?>
    <?php if ($fWeight > 0) {?>
    <div class="scoreboard-item title-value">
        <?php $obMeasureItem = \Lovata\Shopaholic\Classes\Helper\MeasureHelper::instance()->getWeightMeasureItem(); ?>
        <h4><strong><?= e(trans('lovata.toolbox::lang.field.weight')) ?></strong></h4>
        <p><span class="order-shopaholic-total-price"><?= $fWeight ?></span> <?= $obMeasureItem->name ;?></p>
    </div>
    <?php }?>
</div>
<?php }?>